package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel
public class DrpSupplierScoreHistPageVO {
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("周期")
   private String period;
   @ApiModelProperty("交货及时率分数")
   private BigDecimal deliveryOnTimeScore;
   @ApiModelProperty("产品合格率分数")
   private BigDecimal productPassScore;
   @ApiModelProperty("公司资质认证分数")
   private BigDecimal companyQualificationCertificationScore;
   @ApiModelProperty("注册资金分数")
   private BigDecimal registFundScore;
   @ApiModelProperty("上一年度营业额分数")
   private BigDecimal lastYearOperatingIncomeScore;
   @ApiModelProperty("员工数分数")
   private BigDecimal workersNumScore;
   @ApiModelProperty("订单数量分数")
   private BigDecimal orderNumScore;
   @ApiModelProperty("订单金额分数")
   private BigDecimal orderAmountScore;
   @ApiModelProperty("总分")
   private BigDecimal totalScore;
   @ApiModelProperty("记录时间")
   private LocalDateTime crtime;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public String getPeriod() {
      return this.period;
   }

   public BigDecimal getDeliveryOnTimeScore() {
      return this.deliveryOnTimeScore;
   }

   public BigDecimal getProductPassScore() {
      return this.productPassScore;
   }

   public BigDecimal getCompanyQualificationCertificationScore() {
      return this.companyQualificationCertificationScore;
   }

   public BigDecimal getRegistFundScore() {
      return this.registFundScore;
   }

   public BigDecimal getLastYearOperatingIncomeScore() {
      return this.lastYearOperatingIncomeScore;
   }

   public BigDecimal getWorkersNumScore() {
      return this.workersNumScore;
   }

   public BigDecimal getOrderNumScore() {
      return this.orderNumScore;
   }

   public BigDecimal getOrderAmountScore() {
      return this.orderAmountScore;
   }

   public BigDecimal getTotalScore() {
      return this.totalScore;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setPeriod(final String period) {
      this.period = period;
   }

   public void setDeliveryOnTimeScore(final BigDecimal deliveryOnTimeScore) {
      this.deliveryOnTimeScore = deliveryOnTimeScore;
   }

   public void setProductPassScore(final BigDecimal productPassScore) {
      this.productPassScore = productPassScore;
   }

   public void setCompanyQualificationCertificationScore(final BigDecimal companyQualificationCertificationScore) {
      this.companyQualificationCertificationScore = companyQualificationCertificationScore;
   }

   public void setRegistFundScore(final BigDecimal registFundScore) {
      this.registFundScore = registFundScore;
   }

   public void setLastYearOperatingIncomeScore(final BigDecimal lastYearOperatingIncomeScore) {
      this.lastYearOperatingIncomeScore = lastYearOperatingIncomeScore;
   }

   public void setWorkersNumScore(final BigDecimal workersNumScore) {
      this.workersNumScore = workersNumScore;
   }

   public void setOrderNumScore(final BigDecimal orderNumScore) {
      this.orderNumScore = orderNumScore;
   }

   public void setOrderAmountScore(final BigDecimal orderAmountScore) {
      this.orderAmountScore = orderAmountScore;
   }

   public void setTotalScore(final BigDecimal totalScore) {
      this.totalScore = totalScore;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public String toString() {
      Long var10000 = this.getSupplierId();
      return "DrpSupplierScoreHistPageVO(supplierId=" + var10000 + ", supplierName=" + this.getSupplierName() + ", period=" + this.getPeriod() + ", deliveryOnTimeScore=" + String.valueOf(this.getDeliveryOnTimeScore()) + ", productPassScore=" + String.valueOf(this.getProductPassScore()) + ", companyQualificationCertificationScore=" + String.valueOf(this.getCompanyQualificationCertificationScore()) + ", registFundScore=" + String.valueOf(this.getRegistFundScore()) + ", lastYearOperatingIncomeScore=" + String.valueOf(this.getLastYearOperatingIncomeScore()) + ", workersNumScore=" + String.valueOf(this.getWorkersNumScore()) + ", orderNumScore=" + String.valueOf(this.getOrderNumScore()) + ", orderAmountScore=" + String.valueOf(this.getOrderAmountScore()) + ", totalScore=" + String.valueOf(this.getTotalScore()) + ", crtime=" + String.valueOf(this.getCrtime()) + ")";
   }
}
